Subject: Re: [PATCH v0 03/12] mlxsw: core: Add core environment module for port temperature reading

From: Andrew Lunn <[email-masked]>
Date: Thu, 21 Jun 2018 19:11:20 +0200

> New internal API reads the temperature from all the modules, which are
> equipped with the thermal sensor and exposes temperature according to
> the worst measure. All individual temperature values are normalized to
> pre-defined range.

Hi Vadim

Could you explain this normalization process. Why are you not just
expose each sensors temperature in millidegrees C, which is the normal
for HWMON.

    Andrew